/*
**  AddressComboBox.h: extends NSComboBox to implement some drag'n'drop suff.
**
**  Copyright (c) 2002, 2003
**
**  Author: Ujwal S. Sathyam <ujwal@setlurgroup.com>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _GNUMail_H_AddressComboBox
#define _GNUMail_H_AddressComboBox

#import <AppKit/AppKit.h>

@interface AddressComboBox : NSComboBox
{
  NSString *addressString;
}

- (NSString *) addressString;
- (void) setAddressString: (NSString *) aString;

@end

#endif // _GNUMail_H_AddressComboBox
